# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_contains = "darktable"
silentflags = "/S"
app_uninstallkey = "darktable"


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*%s*.exe" % bin_contains)[0]
    # Installing the software
    print("Installing: %s" % bin_name)
    # print("Installing: %s (%s)" % (bin_name, package_version))
    # print("Installing: %s (%s)" % (control.name, package_version))
    install_exe_if_needed(
        bin_name,
        silentflags=silentflags,
        key=app_uninstallkey,
        min_version=package_version,
    )
